<template>
  <el-tabs v-model="activeName" @tab-click="handleClick">
    <el-tab-pane label="提词规则" name="first">
      <edit-prompt-rule type="add"></edit-prompt-rule>
    </el-tab-pane>
    <el-tab-pane label="拆分规则" name="second">
      <edit-split-rule type="add"></edit-split-rule>
    </el-tab-pane>
  </el-tabs>
</template>
<script>
import EditPromptRule from '../edit-prompt-rule/Index.vue'
import EditSplitRule from '../edit-split-rule/Index.vue'

export default {
  components: {
    EditPromptRule,
    EditSplitRule
  },
  data() {
    return {
      activeName: 'first'
    }
  },
  methods: {
    handleClick(tab, event) {
      console.log(tab, event)
    }
  },
  beforeMount() {
    console.log('add-rules beforeMount')
  }
}
</script>
